## visad
Class DisplayImpl.Syncher

    java.lang.Object
      visad.DisplayImpl.Syncher

All Implemented Interfaces:
  DisplayListener, EventListener

Enclosing class:
  DisplayImpl

public class DisplayImpl.Syncher
extends Object
implements DisplayListener

Class used to ensure that all linked Data have been transformed and rendered, used by getImage()

Field Summary
`(package private) int` `count`

Constructor Summary
`(package private)` `DisplayImpl.Syncher(DisplayImpl display)` construct a Syncher for the given DisplayImpl

Method Summary
`void` `displayChanged(DisplayEvent e)` process DisplayEvent

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### count

    int count

Constructor Detail

### DisplayImpl.Syncher

    DisplayImpl.Syncher(DisplayImpl display)

  construct a Syncher for the given DisplayImpl

Parameters:
  `display` - DisplayImpl for this Syncher

Method Detail

### displayChanged

    public void displayChanged(DisplayEvent e)
                        throws VisADException,
                               RemoteException

  process DisplayEvent

  Specified by:
    `displayChanged` in interface `DisplayListener`
  Parameters:
    `e` - DisplayEvent to process
  Throws:
    `VisADException` - a VisAD error occurred
    `RemoteException` - an RMI error occurred